Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Arne-Brün Vogelsang
AuthorEmail: arne@monocles.de
WebSite: https://monocles.de/more/
SourceCode: https://codeberg.org/Arne/monocles_browser
IssueTracker: https://codeberg.org/Arne/monocles_browser/issues
Changelog: https://codeberg.org/Arne/monocles_browser/releases
Donate: https://monocles.de/more/#donation-section

AutoName: monocles browser

RepoType: git
Repo: https://codeberg.org/Arne/monocles_browser.git

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: v1.0
    subdir: app
    gradle:
      - standard

  - versionName: '1.1'
    versionCode: 2
    commit: v1.1
    subdir: app
    gradle:
      - standard

  - versionName: '1.2'
    versionCode: 3
    commit: 59df7dd012ed3ece3d1ca384672b41cd694d5abd
    subdir: app
    gradle:
      - standard

  - versionName: '1.4'
    versionCode: 5
    commit: 539b9198bf26f09e83ac19853d0bf2463950cc1b
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standard

  - versionName: '1.5'
    versionCode: 6
    commit: 5fbe84839557a9c444c03894bc98b616c99bd17c
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild: sed -i -e '/de.monocles.browser/s/.standard//' build.gradle

  - versionName: '1.6'
    versionCode: 7
    commit: 4678f1c52c8e0c8efc9730c6dcc8080ff084b686
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild: sed -i -e '/de.monocles.browser/s/.standard//' build.gradle

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags v\d+\.\d+(\.\d+)?
CurrentVersion: '1.6'
CurrentVersionCode: 7
